package com.cftech.mp.wechat.service;

import com.cftech.core.generic.GenericService;
import com.cftech.core.sql.Conds;
import com.cftech.core.sql.Sort;
import com.cftech.mp.wechat.model.Menu;

import java.util.List;

/**
 * menuService
 * Created by lisw 31/10/2016.
 */
public interface MenuService extends GenericService<Menu> {
	 List<Menu> fetchSearchByPageSeach(Conds conds, Sort sort, int page, int pageSize,Long id);
	 
	 int fetchSearchByPageSeachCount(Conds conds,Long id);
	 
	 int update(Long parentId);
}
